Post by Cloudeze » Sun Jul 16, 2017 12:32 am

Hi,
The latest version is always better, but I have a theme works only on opencart version 1.5.6.1. Is it safe to use opencart 1.5.6.x in 2017 since I saw the newer version of opencart has only improvement in design/responsive...etc Do you think opencart 1.5.6.x has dangerous bugs that open my site to hackers? please help me, I'm confused. thanks in advance!

New member

Posts

Joined
Sun Jul 16, 2017 12:23 am

Post by thekrotek » Sun Jul 16, 2017 6:37 pm

Short answer, yes, it is pretty much safe.

Professional OpenCart extensions, support and custom work.
Contact me via email or Skype by support@thekrotek.com


User avatar
Expert Member
Online

Posts

Joined
Sun Jul 03, 2016 12:24 am


Post by EvolveWebHosting » Sun Jul 16, 2017 11:21 pm

I would suggest testing v1.5.6.4 as that was a very good release and it fixed a lot of the bugs with 1.5.6 and 1.5.6.1

This was a very solid release in my opinion and we know a lot of site owners still using this version.

Image
https://www.evolvewebhost.com
$10.49 .com Registration and $9.99 .com Transfers in now
Guaranteed top level opencart performance and support. Risk free 30 day money back guarantee & free transfers.
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA

Post by villagedefrance » Mon Jul 17, 2017 6:06 pm

As said above, v1.5.6.4 is the better choice.

However, be aware that v1.5.6.x code is not fully compatible with PHP 7+, so you should stick with at least PHP 5.4 or PHP 5.6 for better results.

OpenCart custom solutions @ https://villagedefrance.net


User avatar
Active Member

Posts

Joined
Wed Oct 13, 2010 10:35 pm
Location - UK

Post by EvolveWebHosting » Tue Jul 18, 2017 1:29 am

villagedefrance wrote:
Mon Jul 17, 2017 6:06 pm
As said above, v1.5.6.4 is the better choice.

However, be aware that v1.5.6.x code is not fully compatible with PHP 7+, so you should stick with at least PHP 5.4 or PHP 5.6 for better results.
That's a good point about php7 and I haven't really seen 2.x supporting php7 either.

Image
https://www.evolvewebhost.com
$10.49 .com Registration and $9.99 .com Transfers in now
Guaranteed top level opencart performance and support. Risk free 30 day money back guarantee & free transfers.
Image


User avatar
Active Member

Posts

Joined
Fri Mar 27, 2015 11:13 pm
Location - Denver, Colorado, USA
Who is online

Users browsing this forum: Bing [Bot], bonny3 and 15 guests